<template>
    <ErrorBoundary>
        <v-toolbar color="primary" dark app fixed>
            <v-toolbar-side-icon v-if="this.$store.state.loggedIn" @click.stop="toggleDrawer"></v-toolbar-side-icon>
            <v-toolbar-title>
                <v-btn flat large to="/home">VueJSapp</v-btn>
            </v-toolbar-title>
            <v-spacer></v-spacer>
            <v-tooltip bottom v-if="this.$store.state.loggedIn">
                <v-btn icon large target="_blank" slot="activator" v-on:click="logout">
                    <v-icon large>logout</v-icon>
                </v-btn>
                <span>Logout</span>
            </v-tooltip>
        </v-toolbar>
    </ErrorBoundary>
</template>

<script>
    import ErrorBoundary from "./ErrorBoundary";
    import {mapActions} from 'vuex';

    export default {
        name: "Navigation",
        components: {ErrorBoundary},

        data: function () {
            return {}
        },
        methods: {
            ...mapActions(["drawer"]),
            toggleDrawer() {
                this.drawer();
            },
            logout: function () {
                this.$store.dispatch('logout')
                    .then(() => {
                        this.$router.push('/login')
                    })
            },
            redirectRegister: () => {
                this.$router.push('/login');
            }
        }
    }
</script>

<style scoped>
    #nav {
        max-height: 70px;
    }
</style>